#ifndef _ENCQUEUE_H
#define _ENCQUEUE_H

#include <router/ipqext/extensions/ipqext_fec/ipqext_fec.h>
#include <asm/types.h>

/*
 * eq_queue structure
 */
typedef struct {
  int k;
  int n;
  int size;
  int totsize;
  int cnt;
  unsigned char *buf[255];
  int idx[255];
  void *fec;
} eq_queue_t;

int eq_init_queue(eq_queue_t *que, int k, int n, int size);
void eq_fini_queue(eq_queue_t *que);
int eq_enqueue_buffer(eq_queue_t *que, void *buf);
inline void eq_flush_queue(eq_queue_t *que);
void eq_encode_queue(eq_queue_t *que);
void eq_add_fechdr(eq_queue_t *que, unsigned int seqno);
inline void *eq_get_slot_head(void *slot);

#endif /* _ENCQUEUE_H */
