#ifndef _IPQEXT_FEC_H
#define _IPQEXT_FEC_H

#include <asm/types.h>

/*
 * FEC header
 */
struct fechdr {
  __u8 k;         // Reed-Solomon Code (N,K)
  __u8 n;
  __u8 index;     // index within a block
  __u8 reserved;
  __u32 seqno;    // block ID
  __u16 size;     // data size
  __u16 checksum;
};

#endif /* _IPQEXT_FEC_H */
