#include <stdio.h>
#include <stdlib.h>

int main(int argc, char** argv)
{
    int i;
    double outCome;
    double outComePercent;
    int* array;
    FILE *fileIn;
    double highest, lowest, mean, interval;
    int total=0;
    int count;
    
    if (argc < 4)
    {
        printf("Usage: %s filename lowest highest \n", argv[0]);
        exit(0);
    }
    fileIn = fopen(argv[1], "r");
    if (fileIn == NULL)
    {
        printf("Can't open file\n");
        exit(1);
    }
    
    lowest = atof(argv[2]);
    highest = atof(argv[3]);
    
    array = (int*)malloc(100*sizeof(int));
    mean = (highest + lowest)/2;
    interval = (highest - lowest)/100;

    //printf("%lf, %lf, %lf, %lf\n", lowest, highest, mean, interval);
    
    memset(array, 0 , 100*sizeof(int));
    while(1)
    {
        if (fscanf(fileIn, "%lf\t%d", &outCome, &count) <= 0)
            break;
        outComePercent = outCome/count*100;
        if (outComePercent > lowest && outComePercent < highest)
        {
            for (i=0; i<100; i++)
            {
                if (outComePercent > lowest+i*interval 
                    && outComePercent < lowest+(i+1)*interval)
                {
                    array[i] ++;
                }
            }
        }
        total++;
    }
    for (i=0; i<100; i++)
    {
        printf("%lf\t%lf\n", (double)(i*interval+lowest), (double)array[i]/total);
    }

    fclose(fileIn);
    return 1;
}
