#!/usr/bin/perl

use IO::Socket;

if(@ARGV != 1) {
  print "Usages: send.pl <num>\n";
  exit;
}

my ($n) = @ARGV;

for ($i = 0; $i < $n; $i++) {
  my $sock = new IO::Socket::INET (
                                    Proto => 'udp',
                                    PeerAddr => '200.1.0.254',
                                    PeerPort => '11111',
                                    );

  die "Failed to create socket: $!\n" unless $sock;
  print $sock $i;
  close $sock;
}
